List Application Filters
curl --request GET \
--url https://api.lendflow.com/api/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_visible": true,
"is_pinned": true
}
'import requests
url = "https://api.lendflow.com/api/filters"
payload = {
"is_visible": True,
"is_pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_visible: true, is_pinned: true})
};
fetch('https://api.lendflow.com/api/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"name": "Test Filter",
"data": {
"deal_statuses": [
6
]
},
"columns": [
"deal_status"
],
"is_available_for_organization": false,
"sort_order": 0,
"is_visible": false,
"is_pinned": false
},
{
"id": null,
"name": "Test Filter",
"data": {
"deal_statuses": [
6
]
},
"columns": [
"deal_status"
],
"is_available_for_organization": false,
"sort_order": 0,
"is_visible": false,
"is_pinned": false
}
]
}Smartviews
List Application Filters
Returns the saved application filters available to you, along with your visibility and pin settings for each. Results can be narrowed to only visible or only pinned filters.
GET
/
api
/
filters
List Application Filters
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"name": "Test Filter",
"data": { "deal_statuses": [6] },
"columns": ["deal_status"],
"is_available_for_organization": false,
"sort_order": 0,
"is_visible": false,
"is_pinned": false
},
{
"id": null,
"name": "Test Filter",
"data": { "deal_statuses": [6] },
"columns": ["deal_status"],
"is_available_for_organization": false,
"sort_order": 0,
"is_visible": false,
"is_pinned": false
}
]
Was this page helpful?